Current (2025-04-01)Merchants API
Data Subject
Was this page helpful?
apiKey Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
application/json
The email address of the data subject to be removed.
emailThe Chargeflow account ID. Required for platform API keys, ignored for merchant API keys.
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/public/2025-04-01/data-subject/removal" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com" }'{ "request_id": "req_abc123", "status": "acknowledged", "chargeflow_id": "66e6ea9ecd94925a9f8060d9", "created_at": "2025-04-01T12:00:00Z"}apiKey Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
The unique identifier of the removal request.
The Chargeflow account ID. Required for platform API keys.
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/public/2025-04-01/data-subject/removal/req_abc123"{ "request_id": "req_abc123", "status": "acknowledged", "chargeflow_id": "66e6ea9ecd94925a9f8060d9", "created_at": "2025-04-01T12:00:00Z"}